/*
 * SonarQube
 * Copyright (C) 2009-2022 SonarSource SA
 * mailto:info AT sonarsource DOT com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package org.sonar.server.issue.notification;

public class MetricStatsInt {
  private int onCurrentAnalysis = 0;
  private int offCurrentAnalysis = 0;

  MetricStatsInt increment(boolean onCurrentAnalysis) {
    if (onCurrentAnalysis) {
      this.onCurrentAnalysis += 1;
    } else {
      this.offCurrentAnalysis += 1;
    }
    return this;
  }

  public int getOnCurrentAnalysis() {
    return onCurrentAnalysis;
  }

  public int getTotal() {
    return onCurrentAnalysis + offCurrentAnalysis;
  }

  @Override
  public String toString() {
    return "MetricStatsInt{" +
      "on=" + onCurrentAnalysis +
      ", off=" + offCurrentAnalysis +
      '}';
  }
}
